GNU bug report logs - #55361
[Installer] Extra unprivileged “root” account added

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Ludovic Courtès <ludo@HIDDEN>; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 55361 <at> debbugs.gnu.org:


Received: (at 55361) by debbugs.gnu.org; 21 May 2022 13:34:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 21 09:34:10 2022
Received: from localhost ([127.0.0.1]:41001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsPFC-00062l-1b
	for submit <at> debbugs.gnu.org; Sat, 21 May 2022 09:34:10 -0400
Received: from tobias.gr ([80.241.217.52]:36698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1nsPF7-00062Z-QV
 for 55361 <at> debbugs.gnu.org; Sat, 21 May 2022 09:34:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=rcv+m6R1GE6Th
 vOTnyDgOLuz+7TiN8HM7b5LgSr/85M=;
 h=references:in-reply-to:subject:cc:
 to:from:date; d=tobias.gr; b=aYKjP7BiNeDnzCXVJAldtDvfhDAfYRCWIHQl9sGjS
 KcnK1IQWcnpcGXgGiI4aFqpBVx2WjWxhJH478hOs7u0DgfWr0/kpkUm84nSP02TK88dRbA
 RnmgYr/grl5u9oHJvGTfW/6R+n8L/VWDYLVP5bW3w7OTQky5G19a2PpNQapyOioIDS8kFQ
 9WMTHK3+zqXaUiKAxmDBI6wrqudQ0M3gpwguMUAHltgoBipJd+x5VmAIiLUSYhAHQtLHrZ
 /C9yMzmsRXnFT3W9bsGBgG7gwcd+8rXh5q/fPqPBDeNv/b4GTEsQVd9tgzLD5+lR+UaOyZ
 QDShsp9krOB0RbqQogdPg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTP id 1e226371;
 Sat, 21 May 2022 13:34:04 +0000 (UTC)
MIME-Version: 1.0
Date: Sat, 21 May 2022 15:34:02 +0200
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: bokr@HIDDEN
Subject: =?UTF-8?Q?Re=3A_bug=2355361=3A_=5BInstaller=5D_Extra_unprivilege?=
 =?UTF-8?Q?d_=E2=80=9Croot=E2=80=9D_account_added?=
In-Reply-To: <20220521125434.GA2334@LionPure>
References: <87ee10o1g1.fsf@HIDDEN> <87h75jvodh.fsf@HIDDEN>
 <20220521125434.GA2334@LionPure>
Message-ID: <7245779f538e8f9ac6a19f5cc3efbe03@HIDDEN>
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55361
Cc: ludo@HIDDEN, 55361 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi bokr,

What makes this commit special?  If there's a security aspect here, what 
is it?

> Personally, I am happy to see "fixed," but I would be happier
> seeing a signed exploitability assessment, esp if by someone
> concentrating on that aspect of things.

I don't think anyone is going to volunteer for that honour, unless you 
are :-)

Kind regards,

T G-R

Sent from a Web browser.  Excuse or enjoy my brevity.




Information forwarded to bug-guix@HIDDEN:
bug#55361; Package guix. Full text available.

Message received at 55361 <at> debbugs.gnu.org:


Received: (at 55361) by debbugs.gnu.org; 21 May 2022 12:54:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 21 08:54:58 2022
Received: from localhost ([127.0.0.1]:40918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsOdG-0002li-Iy
	for submit <at> debbugs.gnu.org; Sat, 21 May 2022 08:54:58 -0400
Received: from mailout.easymail.ca ([64.68.200.34]:56414)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bokr@HIDDEN>) id 1nsOdE-0002lU-Cl
 for 55361 <at> debbugs.gnu.org; Sat, 21 May 2022 08:54:57 -0400
Received: from localhost (localhost [127.0.0.1])
 by mailout.easymail.ca (Postfix) with ESMTP id E8730A4E67;
 Sat, 21 May 2022 12:54:50 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=bokr.com; s=easymail;
 t=1653137690; bh=sWZ8tCDV+gz4svMPvD2ThJ2wKGBdR0wBWA/+v9Ah5LA=;
 h=From:Date:To:Subject:Reply-To:References:In-Reply-To:From;
 b=Z+b+a4QZNh9dc93uxhelkEzs1DHOP+nkG0Zfaq7CIn0mRP2fS4d8lCWVGY55LT6xf
 p1mkeGeJfYEaXtJjmNU+YcVvlQk7RbGlglkoHpWE2Dms03RPjOS/0Mm7EZ+NictCQT
 Pf6VB8J6Utok2BirpAvcK+9aeifg5FRh9JkI3qDbxM3xdt/Yo4i/kiWdA4IB2/t4Kr
 10MkcDnOyiQPO+AX5YizIkaA3Lq8NfS4IJe/Lr/7mKMcRvJ4ACmGjyi+DrdI864zD9
 1znnG7zGdz3Yn8H99wLUz9ik+Ws3ZC3En4xTKJ6U5rdULM0s1i7ax4wdiGTOIFM23k
 cb5k2JIgrZuFg==
X-Virus-Scanned: Debian amavisd-new at emo03-pco.easydns.vpn
Received: from mailout.easymail.ca ([127.0.0.1])
 by localhost (emo03-pco.easydns.vpn [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id kvWsd3QNFxAA; Sat, 21 May 2022 12:54:50 +0000 (UTC)
Received: from localhost (m83-185-41-1.cust.tele2.se [83.185.41.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mailout.easymail.ca (Postfix) with ESMTPSA id 0416CA4E57;
 Sat, 21 May 2022 12:54:49 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=bokr.com; s=easymail;
 t=1653137690; bh=sWZ8tCDV+gz4svMPvD2ThJ2wKGBdR0wBWA/+v9Ah5LA=;
 h=From:Date:To:Subject:Reply-To:References:In-Reply-To:From;
 b=Z+b+a4QZNh9dc93uxhelkEzs1DHOP+nkG0Zfaq7CIn0mRP2fS4d8lCWVGY55LT6xf
 p1mkeGeJfYEaXtJjmNU+YcVvlQk7RbGlglkoHpWE2Dms03RPjOS/0Mm7EZ+NictCQT
 Pf6VB8J6Utok2BirpAvcK+9aeifg5FRh9JkI3qDbxM3xdt/Yo4i/kiWdA4IB2/t4Kr
 10MkcDnOyiQPO+AX5YizIkaA3Lq8NfS4IJe/Lr/7mKMcRvJ4ACmGjyi+DrdI864zD9
 1znnG7zGdz3Yn8H99wLUz9ik+Ws3ZC3En4xTKJ6U5rdULM0s1i7ax4wdiGTOIFM23k
 cb5k2JIgrZuFg==
From: bokr@HIDDEN
Date: Sat, 21 May 2022 14:54:34 +0200
To: 55361 <at> debbugs.gnu.org, ludo@HIDDEN
Subject: Re: bug#55361: [Installer] =?utf-8?Q?Extra?=
 =?utf-8?B?IHVucHJpdmlsZWdlZCDigJxyb2904oCd?= account added
Message-ID: <20220521125434.GA2334@LionPure>
References: <87ee10o1g1.fsf@HIDDEN>
 <87h75jvodh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87h75jvodh.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55361
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bokr@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

On +2022-05-21 00:19:06 +0200, Ludovic Courtès wrote:
> Ludovic Courtès <ludo@HIDDEN> skribis:
> 
> > The installer built from:
> >
> > Generation 214      May 02 2022 21:44:14    (current)
> >   guix 6b588da
> >     repository URL: https://git.savannah.gnu.org/git/guix.git
> >     branch: master
> >     commit: 6b588da368c77cde82ea2f22ca315116228777ad
> >
> > … adds an unprivileged “root” account to the ‘users’ section of the OS
> > config.
> 
> Fixed in 48c748226e2a94d2dec9bfdf84601455f00d6f5e, which reverts
> c2125e59d0774cda3e559adeb056459a5f23586b.
> 
> Ludo’.
> 
> 
>
--8<---------------cut here---------------start------------->8---
commit c2125e59d0774cda3e559adeb056459a5f23586b
Author: Mathieu Othacehe <othacehe@HIDDEN>
Date:   Mon Apr 4 16:38:09 2022 +0200

    installer: user: Remove useless filtering.
--8<---------------cut here---------------end--------------->8---


--8<---------------cut here---------------start------------->8---
commit 48c748226e2a94d2dec9bfdf84601455f00d6f5e
Author: Ludovic Courtès <ludo@HIDDEN>
Date:   Fri May 20 20:41:02 2022 +0200

    Revert "installer: user: Remove useless filtering."
    
    This reverts commit c2125e59d0774cda3e559adeb056459a5f23586b.
    
    Fixes <https://issues.guix.gnu.org/55361>.
--8<---------------cut here---------------end--------------->8---

Assuming my date-diff hack worked:
--8<---------------cut here---------------start------------->8---
~/wb/guix]$ date-diff '2022-04-04 16:38:09' '2022-05-20 20:41:02'
46days 4hrs 2min 53sec
--8<---------------cut here---------------end--------------->8---

Is this like coming home from 46day vacation and noticing
that, oops, someone left the kitchen door open,
and hoping no ++ungoodniks noticed? Or meh?

Is. or should there be, a required signoff on an
exploitability assessment in the commit, when it
has that scent? (e.g. anything possibly opening
a door to root privilges).

Personally, I am happy to see "fixed," but I would be happier
seeing a signed exploitability assessment, esp if by someone
concentrating on that aspect of things.

Thoughts?

--
Regards,
Bengt Richter




Information forwarded to bug-guix@HIDDEN:
bug#55361; Package guix. Full text available.

Message received at 55361-done <at> debbugs.gnu.org:


Received: (at 55361-done) by debbugs.gnu.org; 20 May 2022 22:19:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 18:19:17 2022
Received: from localhost ([127.0.0.1]:40322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsAxp-0006bt-MG
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 18:19:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nsAxm-0006bc-Ih
 for 55361-done <at> debbugs.gnu.org; Fri, 20 May 2022 18:19:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38650)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1nsAxh-0006ni-8H
 for 55361-done <at> debbugs.gnu.org; Fri, 20 May 2022 18:19:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=jLlistd9pG3CNFnQOYnUil1AvlkVc4vbKFKCuvQR1zs=; b=lYlb3zo5nVmHzzHReE+n
 7jVBapo6S+q3+N5t0+QeGq7sQ6Vx4qH0iYBqPQsLQuxicv9n0Xr8qrd1sdrl6bYvud5zEEVFIfT3B
 f8Q5BaR6iiQXQvBW5wRAV2kjrAWIHiQ1DqV16rp7HkWwevU7HTrosQh/k4Wq5p3ANA7/Qn5zs0cLQ
 1jlv0/OzM/fLXFMz8dCdIuAFybLcFCgSSz8VdAjsEdFJaW/I3kgwGhYlsSPv5yK3pZS//w7QqwF3B
 BNKp9hFJSkz2YJPoZd5Dj5CRLvcYSInM6vSLpXfMLB+FhkSHYGBk7+AoeH1ATYIc+4ye7SA9qDI/Z
 8fYELbqreYjFTQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:59445
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nsAxf-0003Ju-Tm; Fri, 20 May 2022 18:19:08 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 55361-done <at> debbugs.gnu.org
Subject: Re: bug#55361: [Installer] Extra unprivileged =?utf-8?B?4oCccm9v?=
 =?utf-8?B?dOKAnQ==?= account added
References: <87ee10o1g1.fsf@HIDDEN>
Date: Sat, 21 May 2022 00:19:06 +0200
In-Reply-To: <87ee10o1g1.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22?=
 =?utf-8?Q?'s?= message of "Wed, 11 May 2022 11:36:46 +0200")
Message-ID: <87h75jvodh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55361-done
Cc: Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> The installer built from:
>
> Generation 214	May 02 2022 21:44:14	(current)
>   guix 6b588da
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 6b588da368c77cde82ea2f22ca315116228777ad
>
> =E2=80=A6 adds an unprivileged =E2=80=9Croot=E2=80=9D account to the =E2=
=80=98users=E2=80=99 section of the OS
> config.

Fixed in 48c748226e2a94d2dec9bfdf84601455f00d6f5e, which reverts
c2125e59d0774cda3e559adeb056459a5f23586b.

Ludo=E2=80=99.




Notification sent to Ludovic Courtès <ludo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Added indication that bug 55361 blocks53214 Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 May 2022 09:36:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 05:36:55 2022
Received: from localhost ([127.0.0.1]:36101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noim3-0003Hf-FR
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 05:36:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:48458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1noim2-0003HY-EZ
 for submit <at> debbugs.gnu.org; Wed, 11 May 2022 05:36:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44832)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1noim2-0005TV-6I
 for bug-guix@HIDDEN; Wed, 11 May 2022 05:36:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35896)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1noim0-0001hj-Rg
 for bug-guix@HIDDEN; Wed, 11 May 2022 05:36:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=xa6ZS30GTPifgbPoTvi9BT5+lIbzUTL4Xt27mgKcdWg=; b=Y0sWdUwLB7B2D3
 c84n6RgnTHbQ8rzMcGgSTi8nxZ/L5+DSlq9M+zBvlVDPtG32poryWyqXlumfhBI3nf6y8S8pn45eS
 hF1nlGnoilp4NCuZhbHRBXBKYyOSS6Va6wc4ftM54hDXsHycYXnM5/Fz4vOWaAQdJOhQqAPiHjSmb
 P8AQ9yx+Yomgy4dAZTJ7STQ+Dk+8WSG5mxx5JFEom0jTFw9A44aG1lBmkPP5wYBZ4Mb8i66eKIsvO
 9mbxkPH7utF+0LATt6TVSyr/c9rlSNEj+hAdjYSsuP1GAPacZ7qF5ua6+N7+HvWZzHw8iLI3WC4jt
 r01z6KncduGoeDqhZGGA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:59966
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1noim0-0008Md-3n
 for bug-guix@HIDDEN; Wed, 11 May 2022 05:36:48 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: bug-guix@HIDDEN
Subject: [Installer] Extra unprivileged =?utf-8?B?4oCccm9vdOKAnQ==?= account
 added
X-Debbugs-Cc: Mathieu Othacehe <othacehe@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 22 =?utf-8?Q?Flor=C3=A9al?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 11 May 2022 11:36:46 +0200
Message-ID: <87ee10o1g1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

The installer built from:

--8<---------------cut here---------------start------------->8---
Generation 214	May 02 2022 21:44:14	(current)
  guix 6b588da
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 6b588da368c77cde82ea2f22ca315116228777ad
--8<---------------cut here---------------end--------------->8---

=E2=80=A6 adds an unprivileged =E2=80=9Croot=E2=80=9D account to the =E2=80=
=98users=E2=80=99 section of the OS
config.

Ludo=E2=80=99.




Acknowledgement sent to Ludovic Courtès <ludo@HIDDEN>:
New bug report received and forwarded. Copy sent to othacehe@HIDDEN, bug-guix@HIDDEN. Full text available.
Report forwarded to othacehe@HIDDEN, bug-guix@HIDDEN:
bug#55361; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 21 May 2022 13:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.